Performing C SOURCE FILE Test HAVE_STD_C99 failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec3449450815.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:37:46.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3449450815.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec3449450815.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec3449450815.dir\Debug\cmTryCom.D0D8E5CC.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec3449450815.dir\Debug\cmTryCom.D0D8E5CC.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_STD_C99 /D _LARGEFILE_SOURCE /D _LARGE_FILES /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3449450815.dir\Debug\\" /Fd"cmTryCompileExec3449450815.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue  -std=c99 src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_STD_C99 /D _LARGEFILE_SOURCE /D _LARGE_FILES /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3449450815.dir\Debug\\" /Fd"cmTryCompileExec3449450815.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue  -std=c99 src.c

  

cl : Command line warning D9002: ignoring unknown option '-std=c99' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3449450815.vcxproj]

  src.c

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec3449450815.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec3449450815.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec3449450815.lib" /MACHINE:X64  /machine:x64 /debug cmTryCompileExec3449450815.dir\Debug\src.obj

  cmTryCompileExec3449450815.vcxproj -> D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec3449450815.exe

FinalizeBuildStatus:

  Deleting file "cmTryCompileExec3449450815.dir\Debug\cmTryCom.D0D8E5CC.tlog\unsuccessfulbuild".

  Touching "cmTryCompileExec3449450815.dir\Debug\cmTryCom.D0D8E5CC.tlog\cmTryCompileExec3449450815.lastbuildstate".

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3449450815.vcxproj" (default targets).



Build succeeded.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3449450815.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  cl : Command line warning D9002: ignoring unknown option '-std=c99' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3449450815.vcxproj]



    1 Warning(s)

    0 Error(s)



Time Elapsed 00:00:00.74


Source file was:
int main(void) { return 0; }
Performing C SOURCE FILE Test HAVE_RESTRICT failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec944286700.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:37:47.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec944286700.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec944286700.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec944286700.dir\Debug\cmTryCom.3F8FB217.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec944286700.dir\Debug\cmTryCom.3F8FB217.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_RESTRICT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec944286700.dir\Debug\\" /Fd"cmTryCompileExec944286700.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_RESTRICT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec944286700.dir\Debug\\" /Fd"cmTryCompileExec944286700.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  

  src.c

src.c(1): error C2061: syntax error : identifier 'foo' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec944286700.vcxproj]

src.c(1): error C2059: syntax error : ';' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec944286700.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec944286700.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec944286700.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(1): error C2061: syntax error : identifier 'foo' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec944286700.vcxproj]

  src.c(1): error C2059: syntax error : ';' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec944286700.vcxproj]



    0 Warning(s)

    2 Error(s)



Time Elapsed 00:00:00.60


Source file was:
int *restrict foo;
                             int main() {return 0;}
Performing C SOURCE FILE Test HAVE_INLINE failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2467857955.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:37:48.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2467857955.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2467857955.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2467857955.dir\Debug\cmTryCom.6D8A375E.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2467857955.dir\Debug\cmTryCom.6D8A375E.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_INLINE /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2467857955.dir\Debug\\" /Fd"cmTryCompileExec2467857955.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_INLINE /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2467857955.dir\Debug\\" /Fd"cmTryCompileExec2467857955.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  

  src.c

src.c(1): error C2054: expected '(' to follow 'inline' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2467857955.vcxproj]

src.c(1): error C2085: 'foo' : not in formal parameter list [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2467857955.vcxproj]

src.c(1): error C2143: syntax error : missing ';' before '{' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2467857955.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2467857955.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2467857955.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(1): error C2054: expected '(' to follow 'inline' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2467857955.vcxproj]

  src.c(1): error C2085: 'foo' : not in formal parameter list [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2467857955.vcxproj]

  src.c(1): error C2143: syntax error : missing ';' before '{' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2467857955.vcxproj]



    0 Warning(s)

    3 Error(s)



Time Elapsed 00:00:00.46


Source file was:
inline void foo(void) { }
                             int main() {return 0;}
Performing C SOURCE FILE Test HAVE_C99_VLA failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2459083811.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:37:50.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2459083811.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2459083811.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2459083811.dir\Debug\cmTryCom.21AA5282.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2459083811.dir\Debug\cmTryCom.21AA5282.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_C99_VLA /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2459083811.dir\Debug\\" /Fd"cmTryCompileExec2459083811.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_C99_VLA /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2459083811.dir\Debug\\" /Fd"cmTryCompileExec2459083811.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  

  src.c

src.c(3): error C2057: expected constant expression [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2459083811.vcxproj]

src.c(3): error C2466: cannot allocate an array of constant size 0 [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2459083811.vcxproj]

src.c(3): error C2133: 'tmp' : unknown size [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2459083811.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2459083811.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2459083811.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(3): error C2057: expected constant expression [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2459083811.vcxproj]

  src.c(3): error C2466: cannot allocate an array of constant size 0 [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2459083811.vcxproj]

  src.c(3): error C2133: 'tmp' : unknown size [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2459083811.vcxproj]



    0 Warning(s)

    3 Error(s)



Time Elapsed 00:00:00.42


Source file was:
int main(int argc, char *argv[])
 {
     volatile int tmp[argc];
     tmp[0] = argv[0][0];
     return tmp[0];
 }
Performing C SOURCE FILE Test HAVE_C11_STATIC_ASSERT failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec620145495.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:37:51.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec620145495.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec620145495.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec620145495.dir\Debug\cmTryCom.0549733D.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec620145495.dir\Debug\cmTryCom.0549733D.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_C11_STATIC_ASSERT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec620145495.dir\Debug\\" /Fd"cmTryCompileExec620145495.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_C11_STATIC_ASSERT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec620145495.dir\Debug\\" /Fd"cmTryCompileExec620145495.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  

  src.c

src.c(3): warning C4013: '_Static_assert' undefined; assuming extern returning int [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec620145495.vcxproj]

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec620145495.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec620145495.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec620145495.lib" /MACHINE:X64  /machine:x64 /debug cmTryCompileExec620145495.dir\Debug\src.obj

src.obj : error LNK2019: unresolved external symbol _Static_assert referenced in function main [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec620145495.vcxproj]

D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec620145495.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec620145495.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec620145495.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec620145495.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(3): warning C4013: '_Static_assert' undefined; assuming extern returning int [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec620145495.vcxproj]





"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec620145495.vcxproj" (default target) (1) ->

(Link target) -> 

  src.obj : error LNK2019: unresolved external symbol _Static_assert referenced in function main [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec620145495.vcxproj]

  D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec620145495.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec620145495.vcxproj]



    1 Warning(s)

    2 Error(s)



Time Elapsed 00:00:00.76


Source file was:
int main()
 {
     _Static_assert(sizeof(int) == sizeof(int), "What");
     return 0;
 }
Performing C SOURCE FILE Test HAVE_C11_ALIGNAS failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec1480725519.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:37:52.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1480725519.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec1480725519.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec1480725519.dir\Debug\cmTryCom.FB49F070.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec1480725519.dir\Debug\cmTryCom.FB49F070.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_C11_ALIGNAS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1480725519.dir\Debug\\" /Fd"cmTryCompileExec1480725519.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_C11_ALIGNAS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1480725519.dir\Debug\\" /Fd"cmTryCompileExec1480725519.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  

  src.c

src.c(1): error C2143: syntax error : missing ')' before 'constant' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1480725519.vcxproj]

src.c(1): error C2143: syntax error : missing '{' before 'constant' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1480725519.vcxproj]

src.c(1): error C2059: syntax error : 'constant' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1480725519.vcxproj]

src.c(1): error C2059: syntax error : ')' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1480725519.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1480725519.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1480725519.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(1): error C2143: syntax error : missing ')' before 'constant' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1480725519.vcxproj]

  src.c(1): error C2143: syntax error : missing '{' before 'constant' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1480725519.vcxproj]

  src.c(1): error C2059: syntax error : 'constant' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1480725519.vcxproj]

  src.c(1): error C2059: syntax error : ')' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1480725519.vcxproj]



    0 Warning(s)

    4 Error(s)



Time Elapsed 00:00:00.46


Source file was:
_Alignas(16) int foo;
 int main()
 {
     return 0;
 }
Performing C SOURCE FILE Test HAVE_C11_ATOMIC failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2719273041.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:37:53.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2719273041.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2719273041.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2719273041.dir\Debug\cmTryCom.508AB818.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2719273041.dir\Debug\cmTryCom.508AB818.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_C11_ATOMIC /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2719273041.dir\Debug\\" /Fd"cmTryCompileExec2719273041.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_C11_ATOMIC /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2719273041.dir\Debug\\" /Fd"cmTryCompileExec2719273041.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  

  src.c

src.c(1): fatal error C1083: Cannot open include file: 'stdatomic.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2719273041.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2719273041.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2719273041.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(1): fatal error C1083: Cannot open include file: 'stdatomic.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2719273041.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.53


Source file was:
#include <stdatomic.h>
 int _Atomic foo;
 int main()
 {
     return atomic_load(&foo);
 }
Performing C SOURCE FILE Test HAVE_GCC_FORMAT failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2382209896.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:37:54.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2382209896.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2382209896.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2382209896.dir\Debug\cmTryCom.AF1A5AD3.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2382209896.dir\Debug\cmTryCom.AF1A5AD3.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_GCC_FORMAT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2382209896.dir\Debug\\" /Fd"cmTryCompileExec2382209896.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D HAVE_GCC_FORMAT /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2382209896.dir\Debug\\" /Fd"cmTryCompileExec2382209896.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue src.c

  

  src.c

src.c(1): error C2061: syntax error : identifier '__attribute__' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2382209896.vcxproj]

src.c(1): error C2059: syntax error : ';' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2382209896.vcxproj]

src.c(1): error C2059: syntax error : ',' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2382209896.vcxproj]

src.c(1): error C2143: syntax error : missing ')' before 'constant' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2382209896.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2382209896.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2382209896.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  src.c(1): error C2061: syntax error : identifier '__attribute__' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2382209896.vcxproj]

  src.c(1): error C2059: syntax error : ';' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2382209896.vcxproj]

  src.c(1): error C2059: syntax error : ',' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2382209896.vcxproj]

  src.c(1): error C2143: syntax error : missing ')' before 'constant' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2382209896.vcxproj]



    0 Warning(s)

    4 Error(s)



Time Elapsed 00:00:00.43


Source file was:
int foo(const char *str, ...) __attribute__((format(printf, 1, 2)));
                         int main() {return 0;}
Determining if the include file stdalign.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2844027586.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:37:58.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2844027586.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2844027586.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2844027586.dir\Debug\cmTryCom.8D9EE2D2.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2844027586.dir\Debug\cmTryCom.8D9EE2D2.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2844027586.dir\Debug\\" /Fd"cmTryCompileExec2844027586.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2844027586.dir\Debug\\" /Fd"cmTryCompileExec2844027586.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'stdalign.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2844027586.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2844027586.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2844027586.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'stdalign.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2844027586.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:01.43



Determining if the include file ftw.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2823107640.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:01.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2823107640.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2823107640.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2823107640.dir\Debug\cmTryCom.5ED44093.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2823107640.dir\Debug\cmTryCom.5ED44093.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2823107640.dir\Debug\\" /Fd"cmTryCompileExec2823107640.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2823107640.dir\Debug\\" /Fd"cmTryCompileExec2823107640.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'ftw.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2823107640.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2823107640.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2823107640.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'ftw.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2823107640.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.46



Determining if the include file strings.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec688359665.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:02.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec688359665.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec688359665.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec688359665.dir\Debug\cmTryCom.C695A5B7.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec688359665.dir\Debug\cmTryCom.C695A5B7.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec688359665.dir\Debug\\" /Fd"cmTryCompileExec688359665.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec688359665.dir\Debug\\" /Fd"cmTryCompileExec688359665.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'strings.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec688359665.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec688359665.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec688359665.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'strings.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec688359665.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.53



Determining if the include file cpuid.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2721102832.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:03.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2721102832.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2721102832.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2721102832.dir\Debug\cmTryCom.5F35ABEA.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2721102832.dir\Debug\cmTryCom.5F35ABEA.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2721102832.dir\Debug\\" /Fd"cmTryCompileExec2721102832.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2721102832.dir\Debug\\" /Fd"cmTryCompileExec2721102832.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'cpuid.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2721102832.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2721102832.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2721102832.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'cpuid.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2721102832.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.51



Determining if the include file sys/sysconf.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec140081250.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:05.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec140081250.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec140081250.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec140081250.dir\Debug\cmTryCom.A7B5309D.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec140081250.dir\Debug\cmTryCom.A7B5309D.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec140081250.dir\Debug\\" /Fd"cmTryCompileExec140081250.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec140081250.dir\Debug\\" /Fd"cmTryCompileExec140081250.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'sys/sysconf.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec140081250.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec140081250.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec140081250.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'sys/sysconf.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec140081250.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.48



Determining if the include file ieeefp.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec1306189282.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:07.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1306189282.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec1306189282.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec1306189282.dir\Debug\cmTryCom.F3101F70.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec1306189282.dir\Debug\cmTryCom.F3101F70.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1306189282.dir\Debug\\" /Fd"cmTryCompileExec1306189282.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1306189282.dir\Debug\\" /Fd"cmTryCompileExec1306189282.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'ieeefp.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1306189282.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1306189282.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1306189282.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'ieeefp.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1306189282.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.55



Determining if the function pow exists in the m failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec4041190728.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:10.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec4041190728.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec4041190728.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec4041190728.dir\Debug\cmTryCom.D92EBA67.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec4041190728.dir\Debug\cmTryCom.D92EBA67.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=pow /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec4041190728.dir\Debug\\" /Fd"cmTryCompileExec4041190728.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=pow /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec4041190728.dir\Debug\\" /Fd"cmTryCompileExec4041190728.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  

  CheckFunctionExists.c

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec4041190728.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib m.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec4041190728.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec4041190728.lib" /MACHINE:X64  /machine:x64 /debug cmTryCompileExec4041190728.dir\Debug\CheckFunctionExists.obj

LINK : fatal error LNK1104: cannot open file 'm.lib' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec4041190728.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec4041190728.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec4041190728.vcxproj" (default target) (1) ->

(Link target) -> 

  LINK : fatal error LNK1104: cannot open file 'm.lib' [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec4041190728.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.61



Determining if the aligned_alloc exist failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec3601285001.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:11.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3601285001.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec3601285001.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec3601285001.dir\Debug\cmTryCom.5EC3808A.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec3601285001.dir\Debug\cmTryCom.5EC3808A.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3601285001.dir\Debug\\" /Fd"cmTryCompileExec3601285001.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckSymbolExists.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3601285001.dir\Debug\\" /Fd"cmTryCompileExec3601285001.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckSymbolExists.c

  

  CheckSymbolExists.c

CheckSymbolExists.c(8): error C2065: 'aligned_alloc' : undeclared identifier [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3601285001.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3601285001.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3601285001.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckSymbolExists.c(8): error C2065: 'aligned_alloc' : undeclared identifier [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3601285001.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.49


File D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <stdlib.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef aligned_alloc
  return ((int*)(&aligned_alloc))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the posix_memalign exist failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2719660267.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:12.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2719660267.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2719660267.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2719660267.dir\Debug\cmTryCom.6D523A90.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2719660267.dir\Debug\cmTryCom.6D523A90.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2719660267.dir\Debug\\" /Fd"cmTryCompileExec2719660267.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckSymbolExists.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2719660267.dir\Debug\\" /Fd"cmTryCompileExec2719660267.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckSymbolExists.c

  

  CheckSymbolExists.c

CheckSymbolExists.c(8): error C2065: 'posix_memalign' : undeclared identifier [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2719660267.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2719660267.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2719660267.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckSymbolExists.c(8): error C2065: 'posix_memalign' : undeclared identifier [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2719660267.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.49


File D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <stdlib.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef posix_memalign
  return ((int*)(&posix_memalign))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the __control87_2 exist failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec1343518204.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:16.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1343518204.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec1343518204.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec1343518204.dir\Debug\cmTryCom.81364E3D.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec1343518204.dir\Debug\cmTryCom.81364E3D.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1343518204.dir\Debug\\" /Fd"cmTryCompileExec1343518204.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckSymbolExists.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec1343518204.dir\Debug\\" /Fd"cmTryCompileExec1343518204.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckSymbolExists.c

  

  CheckSymbolExists.c

CheckSymbolExists.c(8): error C2065: '__control87_2' : undeclared identifier [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1343518204.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1343518204.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1343518204.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckSymbolExists.c(8): error C2065: '__control87_2' : undeclared identifier [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec1343518204.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.47


File D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <float.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef __control87_2
  return ((int*)(&__control87_2))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the function strcasecmp exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2496335333.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:20.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2496335333.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2496335333.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2496335333.dir\Debug\cmTryCom.1B64A09A.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2496335333.dir\Debug\cmTryCom.1B64A09A.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=strcasecmp /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2496335333.dir\Debug\\" /Fd"cmTryCompileExec2496335333.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=strcasecmp /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2496335333.dir\Debug\\" /Fd"cmTryCompileExec2496335333.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  

  CheckFunctionExists.c

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec2496335333.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec2496335333.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec2496335333.lib" /MACHINE:X64  /machine:x64 /debug cmTryCompileExec2496335333.dir\Debug\CheckFunctionExists.obj

CheckFunctionExists.obj : error LNK2019: unresolved external symbol strcasecmp referenced in function main [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2496335333.vcxproj]

D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec2496335333.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2496335333.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2496335333.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2496335333.vcxproj" (default target) (1) ->

(Link target) -> 

  CheckFunctionExists.obj : error LNK2019: unresolved external symbol strcasecmp referenced in function main [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2496335333.vcxproj]

  D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec2496335333.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2496335333.vcxproj]



    0 Warning(s)

    2 Error(s)



Time Elapsed 00:00:00.62



Determining if the function strncasecmp exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2456368341.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:21.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2456368341.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2456368341.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2456368341.dir\Debug\cmTryCom.BFE87F7A.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2456368341.dir\Debug\cmTryCom.BFE87F7A.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=strncasecmp /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2456368341.dir\Debug\\" /Fd"cmTryCompileExec2456368341.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=strncasecmp /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2456368341.dir\Debug\\" /Fd"cmTryCompileExec2456368341.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  

  CheckFunctionExists.c

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec2456368341.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec2456368341.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec2456368341.lib" /MACHINE:X64  /machine:x64 /debug cmTryCompileExec2456368341.dir\Debug\CheckFunctionExists.obj

CheckFunctionExists.obj : error LNK2019: unresolved external symbol strncasecmp referenced in function main [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2456368341.vcxproj]

D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec2456368341.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2456368341.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2456368341.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2456368341.vcxproj" (default target) (1) ->

(Link target) -> 

  CheckFunctionExists.obj : error LNK2019: unresolved external symbol strncasecmp referenced in function main [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2456368341.vcxproj]

  D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec2456368341.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2456368341.vcxproj]



    0 Warning(s)

    2 Error(s)



Time Elapsed 00:00:00.63



Determining if the function snprintf exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec2274807136.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:23.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2274807136.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec2274807136.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec2274807136.dir\Debug\cmTryCom.EFA45EDD.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec2274807136.dir\Debug\cmTryCom.EFA45EDD.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=snprintf /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2274807136.dir\Debug\\" /Fd"cmTryCompileExec2274807136.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D CHECK_FUNCTION_EXISTS=snprintf /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec2274807136.dir\Debug\\" /Fd"cmTryCompileExec2274807136.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue "D:\Saftware\cmake-3.0.2-win32-x86\share\cmake-3.0\Modules\CheckFunctionExists.c"

  

  CheckFunctionExists.c

Link:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\link.exe /ERRORREPORT:QUEUE /OUT:"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec2274807136.exe" /INCREMENTAL /NOLOGO kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib /MANIFEST /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /manifest:embed /DEBUG /PDB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec2274807136.pdb" /SUBSYSTEM:CONSOLE /TLBID:1 /DYNAMICBASE /NXCOMPAT /IMPLIB:"D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp/Debug/cmTryCompileExec2274807136.lib" /MACHINE:X64  /machine:x64 /debug cmTryCompileExec2274807136.dir\Debug\CheckFunctionExists.obj

CheckFunctionExists.obj : error LNK2019: unresolved external symbol snprintf referenced in function main [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2274807136.vcxproj]

D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec2274807136.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2274807136.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2274807136.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2274807136.vcxproj" (default target) (1) ->

(Link target) -> 

  CheckFunctionExists.obj : error LNK2019: unresolved external symbol snprintf referenced in function main [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2274807136.vcxproj]

  D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\cmTryCompileExec2274807136.exe : fatal error LNK1120: 1 unresolved externals [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec2274807136.vcxproj]



    0 Warning(s)

    2 Error(s)



Time Elapsed 00:00:00.64



Determining if the include file dlfcn.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec3972399883.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:27.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3972399883.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec3972399883.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec3972399883.dir\Debug\cmTryCom.E830D753.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec3972399883.dir\Debug\cmTryCom.E830D753.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3972399883.dir\Debug\\" /Fd"cmTryCompileExec3972399883.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3972399883.dir\Debug\\" /Fd"cmTryCompileExec3972399883.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'dlfcn.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3972399883.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3972399883.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3972399883.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFile.c(1): fatal error C1083: Cannot open include file: 'dlfcn.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3972399883.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.48



Determining if the include file arm_neon.h exists failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec3861808134.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:32.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3861808134.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec3861808134.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec3861808134.dir\Debug\cmTryCom.6ECC240E.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec3861808134.dir\Debug\cmTryCom.6ECC240E.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3861808134.dir\Debug\\" /Fd"cmTryCompileExec3861808134.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec3861808134.dir\Debug\\" /Fd"cmTryCompileExec3861808134.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFile.c

  

  CheckIncludeFile.c

C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\include\arm_neon.h(17): fatal error C1189: #error :  This header is specific to ARM targets [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3861808134.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3861808134.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3861808134.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\include\arm_neon.h(17): fatal error C1189: #error :  This header is specific to ARM targets [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec3861808134.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.47



Determining if files SLES/OpenSLES.h;SLES/OpenSLES_Android.h exist failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec634993711.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:37.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec634993711.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec634993711.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec634993711.dir\Debug\cmTryCom.33A0F031.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec634993711.dir\Debug\cmTryCom.33A0F031.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec634993711.dir\Debug\\" /Fd"cmTryCompileExec634993711.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFiles.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec634993711.dir\Debug\\" /Fd"cmTryCompileExec634993711.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFiles.c

  

  CheckIncludeFiles.c

CheckIncludeFiles.c(2): fatal error C1083: Cannot open include file: 'SLES/OpenSLES.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec634993711.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec634993711.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec634993711.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFiles.c(2): fatal error C1083: Cannot open include file: 'SLES/OpenSLES.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec634993711.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.46


Source:
/* */
#include <SLES/OpenSLES.h>
#include <SLES/OpenSLES_Android.h>


int main(){return 0;}

Determining if files pthread.h exist failed with the following output:
Change Dir: D:/Saftware/openal-soft-1.16.0/buildx64/CMakeFiles/CMakeTmp

Run Build Command:"C:/Program Files (x86)/MSBuild/12.0/bin/MSBuild.exe" "cmTryCompileExec618348771.vcxproj" "/p:Configuration=Debug" "/p:VisualStudioVersion=12.0"
Microsoft (R) Build Engine version 12.0.30501.0

[Microsoft .NET Framework, version 4.0.30319.34014]

Copyright (C) Microsoft Corporation. All rights reserved.



Build started 07.12.2014 05:38:38.

Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec618348771.vcxproj" on node 1 (default targets).

PrepareForBuild:

  Creating directory "cmTryCompileExec618348771.dir\Debug\".

  Creating directory "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\Debug\".

  Creating directory "cmTryCompileExec618348771.dir\Debug\cmTryCom.61850C8E.tlog\".

InitializeBuildStatus:

  Creating "cmTryCompileExec618348771.dir\Debug\cmTryCom.61850C8E.tlog\unsuccessfulbuild" because "AlwaysCreate" was specified.

ClCompile:

  C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\x86_amd64\CL.exe /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec618348771.dir\Debug\\" /Fd"cmTryCompileExec618348771.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFiles.c

  Microsoft (R) C/C++ Optimizing Compiler Version 18.00.30501 for x64

  Copyright (C) Microsoft Corporation.  All rights reserved.

  

  cl /c /I"C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include" /Zi /W3 /WX- /Od /Ob0 /D WIN32 /D _WINDOWS /D _LARGEFILE_SOURCE /D _LARGE_FILES /D restrict= /D inline=__inline /D _DEBUG /D "CMAKE_INTDIR=\"Debug\"" /D _MBCS /Gm- /RTC1 /MDd /GS /fp:precise /Zc:wchar_t /Zc:forScope /Fo"cmTryCompileExec618348771.dir\Debug\\" /Fd"cmTryCompileExec618348771.dir\Debug\vc120.pdb" /Gd /TC /errorReport:queue CheckIncludeFiles.c

  

  CheckIncludeFiles.c

CheckIncludeFiles.c(2): fatal error C1083: Cannot open include file: 'pthread.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec618348771.vcxproj]

Done Building Project "D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec618348771.vcxproj" (default targets) -- FAILED.



Build FAILED.



"D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec618348771.vcxproj" (default target) (1) ->

(ClCompile target) -> 

  CheckIncludeFiles.c(2): fatal error C1083: Cannot open include file: 'pthread.h': No such file or directory [D:\Saftware\openal-soft-1.16.0\buildx64\CMakeFiles\CMakeTmp\cmTryCompileExec618348771.vcxproj]



    0 Warning(s)

    1 Error(s)



Time Elapsed 00:00:00.45


Source:
/* */
#include <pthread.h>


int main(){return 0;}

